---
name: Taylor Medlin
start_date: 2019-07-31
locality: Denver, CO
country: USA
role: <a href="/job-families/sales/solutions-architect/">Solutions Architect, Americas
  (Mid Market)</a>
reports_to: timpoffenbarger
picture: taylormedlin.jpg
twitter: 
gitlab: tmedlin
departments:
- Customer Success
story: 'Taylor is a teacher and consultant who is passionate about enabling her customers.

'
